<?php
/**
 * Chic Lite Template Hooks.
 *
 * @package Chic_Lite 
 */

/** Import content data*/
if ( ! function_exists( 'travel_voyage_import_files' ) ) :
function travel_voyage_import_files() {
  $upload_dir = wp_upload_dir();
    return array(
        array(
            'import_file_name'             => 'Chic Lite Demo',
            'local_import_file'            => $upload_dir['basedir'] . '/rara-demo-pack/travel-voyage-demo-content/content/travelvoyage.xml',
            'local_import_widget_file'     => $upload_dir['basedir'] . '/rara-demo-pack/travel-voyage-demo-content/content/travelvoyage.wie',
            'local_import_customizer_file' => $upload_dir['basedir'] . '/rara-demo-pack/travel-voyage-demo-content/content/travelvoyage.dat',
            'import_preview_image_url'     => get_template_directory() .'/screenshot.png',
            'import_notice'                => __( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'travel-voyage' ),
        ),
    );       
}
add_filter( 'rrdi/import_files', 'travel_voyage_import_files' );
endif;

/** Programmatically set the front page and menu */
if ( ! function_exists( 'travel_voyage_after_import' ) ) :

function travel_voyage_after_import( $selected_import ) {
      
    //Set Menu
    $primary    = get_term_by( 'name', 'Primary', 'nav_menu' );
    $secondary  = get_term_by( 'name', 'Quick Link', 'nav_menu' );
    $footer     = get_term_by( 'name', 'Quick Link', 'nav_menu' );
    set_theme_mod( 'nav_menu_locations' , array( 
            'primary'   => $primary->term_id,
            'secondary' => $secondary->term_id,
            'footer'    => $footer->term_id
        ) 
    );
      
}
add_action( 'rrdi/after_import', 'travel_voyage_after_import' );
endif;

function travel_voyage_import_msg(){
    return __( 'Before you begin, make sure all recommended plugins are activated.', 'travel-voyage' );
}
add_filter( 'rrdi_before_import_msg', 'travel_voyage_import_msg' );